Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.processtemplates
Class GetProcessInstancesFromEC2

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.processtemplates.GetProcessInstancesFromEC2

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<ProcessInstancesDataResult2>, net.customware.gwt.dispatch.shared.Action<ProcessInstancesDataResult2>

    public class GetProcessInstancesFromEC2

extends java.lang.Object
implements OSAction<ProcessInstancesDataResult2>

Retrieve Process Instance Data from Event Collector.

Event Collector keeps information about active and completed / cancelled instances. V2 of the interface allows the number of items, start location and sort order to be specified

©2013 TIBCO Software Inc.

Since:
  TODO
See Also:
  `ProcessInstancesDataResult2`

Constructor Summary
`GetProcessInstancesFromEC2(java.lang.String filter, int startItem, int numItems, java.util.List<SortOrder> sortOrder)` Construct a new GetProcessInstancesFromEC Action

Method Summary
`java.lang.String` | `getFilter()` Filter string to query Event Collector.
`int` | `getNumItems()` numItems The number of items to retrieve
`java.util.List<SortOrder>` | `getSortOrder()` The sort order to be passed to the EC query.
`int` | `getStartItem()` startItem The index of the first item to retrieve

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetProcessInstancesFromEC2

    public GetProcessInstancesFromEC2(java.lang.String filter,
                                      int startItem,
                                      int numItems,
                                      java.util.List<SortOrder> sortOrder)

  Construct a new GetProcessInstancesFromEC Action

  Parameters:
    `filter` - Filter string to query Event Collector.

    A simple query for a Process Template would be :

    "processTemplateName = 'templateName' AND version = '1.0.0' AND moduleName = 'moduleName'"

    See the Event Collector documentation for information about possible filter strings.

    `startItem` - The index of the first item to retrieve
    `numItems` - The number of items to retrieve
    `The` - sort order to be passed to the EC query. Each SortOrder entry specifies a column name and the sort direction

Method Detail

### getFilter

    public java.lang.String getFilter()

  Filter string to query Event Collector.

  A simple query for a Process Template would be :

  "processTemplateName = 'templateName' AND version = '1.0.0' AND moduleName = 'moduleName'"

  See the Event Collector documentation for information about possible filter strings.

  Returns:
    Returns the filter.

### getStartItem

    public int getStartItem()

  startItem The index of the first item to retrieve

### getNumItems

    public int getNumItems()

  numItems The number of items to retrieve

### getSortOrder

    public java.util.List<SortOrder> getSortOrder()

  The sort order to be passed to the EC query. Each SortOrder entry specifies a column name and the sort direction

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.